<?php

namespace WooViews\Frontend;

use Jenssegers\Blade\Blade;

/**
 * Class Blade_Renderer
 *
 * @package WooViews\Frontend
 */
class Blade_Renderer implements IRenderer {

	/**
	 * @var Blade
	 */
	private $blade;


	/**
	 * Blade_Renderer constructor.
	 *
	 * @param Blade $blade
	 */
	public function __construct( Blade $blade ) {
		$this->blade = $blade;
	}


	/**
	 * @param $view
	 * @param $model
	 *
	 * @return string
	 */
	public function render( $view, $model ) {
		return $this->blade->render( $view, [ 'model' => $model ] );
	}

}
