<?php

namespace WooViews\Hooks;

use WooViews\Hooks\Frontend\Woo_GUI_Elements;
use WooViews\Hooks\Frontend\Woo_Sorting;
use WooViews\Templates\Modes\IMode;
use WooViews\Templates\Types;

/**
 * Class Frontend_Factory
 *
 * @package WooViews\Hooks
 */
class Frontend_Factory {

	/**
	 * @param IMode $mode
	 *
	 * @return IHook[]
	 */
	public function create( IMode $mode ) {
		$dic = apply_filters( 'toolset_dic', false );
		$dic->alias( IMode::class, get_class( $mode ) );
		$dic->define( IHook::class, [ ':mode' => $mode ] );

		switch ( $mode->get_type() ) {
			case Types::WCB:
				return [ $dic->make( Woo_Sorting::class ), $dic->make( Woo_GUI_Elements::class ) ];
			default:
				return [];
		}
	}

}
