<?php

namespace WooViews\Hooks\Shortcodes;

use WooViews\Hooks\IHook;

/**
 * Class Product_Stock
 *
 * @package WooViews\Hooks\Shortcodes
 */
class Product_Stock implements IHook {

	/**
	 * Register the product stock shortcode
	 * @return null
	 */
	public function register() {
		add_shortcode( 'wpv-woo-product-stock', [ $this, 'define' ] );
	}


	/**
	 * Define the product stock shortcode
	 *
	 * @return mixed|string
	 */
	public function define() {
		global $post;
		$product = apply_filters( 'wcviews_setup_product_data', $post );

		if ( null !== $product ) {
			return sprintf( '<div class="wooviews-product-stock">%s</div>', wc_get_stock_html( $product ) );
		}

		return '';
	}
}
