<?php

namespace WooViews\Settings\Sections;

interface ISection {

	/**
	 * Registers a section.
	 *
	 * @param $sections
	 *
	 * @return mixed
	 */
	public function register( $sections );


	/**
	 * Returns rendered HTML string.
	 *
	 * @return string
	 */
	public function render();


	/**
	 * Returns whether a section is enabled.
	 *
	 * @return bool
	 */
	public function is_enabled();
}
