<?php

namespace WooViews\Settings\Sections;

use Jenssegers\Blade\Blade;
use WooViews\Frontend\Blade_Renderer;
use WooViews\Frontend\IRenderer;

/**
 * Class Provider
 *
 * @package WooViews\Settings\Sections
 */
class Provider {

	/**
	 * Returns an array of Settings Sections.
	 *
	 * @return ISection[]
	 */
	public function get() {
		// Set dependency injection rules.
		$dic = apply_filters( 'toolset_dic', false );

		// Define renderer.
		$dic->alias( IRenderer::class, Blade_Renderer::class );
		$dic->define( Blade::class, [
			':viewPaths' => [ WOOCOMMERCE_VIEWS_PLUGIN_PATH . '/static/views' ],
			':cachePath' => WOOCOMMERCE_VIEWS_PLUGIN_PATH . '/static/cache',
		] );

		return [
			$dic->make( WC_Styling::class ),
			$dic->make( FE_Sorting::class ),
			$dic->make( Legacy_Templates::class ),
		];
	}
}
