<?php

namespace WooViews\Templates;

/**
 * Class Factory
 * ITemplate Factory
 *
 * @package WooViews\Templates
 */
class Factory {

	/**
	 * @param string $template_type
	 *
	 * @return ITemplate
	 */
	public function create( $template_type ) {
		$dic = apply_filters( 'toolset_dic', false );

		switch ( $template_type ) {
			case Types::WCB:
				return $dic->make( WCB_Template::class );
			case Types::THEME:
				return $dic->make( Theme_Template::class );
			case Types::WOO:
				return $dic->make( Woo_Template::class );
			default:
				throw new \InvalidArgumentException( sprintf( 'Template type %s does\'t exist.', $template_type ) );
		}
	}
}
