<?php

namespace WooViews\Templates\Modes;

use WooViews\Templates\Types;

interface IMode {

	/**
	 * Returns a boolean indicating if the template meets the conditions for loading.
	 *
	 * @param string $template
	 *
	 * @return bool
	 */
	public function is_loadable( $template = Types::SINGLE );

	/**
	 * Get mode template type
	 *
	 * @return string
	 */
	public function get_type();

	/**
	 * @param string $type
	 *
	 * @return mixed
	 */
	public function get_assigned_resource($type);
}
