<?php

namespace WooViews\Templates;

use WooViews\Helpers\Template_Settings_Translator;
use WooViews\Settings\Persistence\Models\Global_Settings;

class Theme_Template implements ITemplate {

	/**
	 * @var Global_Settings
	 */
	private $settings;

	/**
	 * @var Template_Settings_Translator
	 */
	private $settings_translator;


	/**
	 * Theme_Template constructor.
	 *
	 * @param Global_Settings $settings
	 * @param Template_Settings_Translator $settings_translator
	 */
	public function __construct( Global_Settings $settings, Template_Settings_Translator $settings_translator ) {
		$this->settings = $settings;
		$this->settings_translator = $settings_translator;
	}


	/**
	 * @return string|null
	 */
	public function get_single_path() {
		return $this->settings_translator->get_usable_template_path($this->settings->get_template_path());
	}


	/**
	 * @return string|null
	 */
	public function get_archive_path() {
		return $this->settings_translator->get_usable_template_path($this->settings->get_archive_template_path());
	}

}
