<?php
// Config of Product Stock block.

return [
	'slug' => 'product-stock',
	'shortcode' => '[wpv-woo-product-stock]',
	'title' => __( 'Stock Status', 'woocommerce-views' ),
	'description' => __( 'Displays the stock status of a product.', 'woocommerce-views' ),
	'keywords' => [
		__( 'stock', 'woocommerce-views' ),
		'toolset',
		'woocommerce',
	],
	'supports' => [
		'customClassName' => false,
	],
	'css' => [
		'rootClass' => '&wooviews-product-stock-block',
		'styleMap' => [
			'p' => [
				'style' => [
					'font',
					'fontSize',
					'fontStyle',
					'fontWeight',
					'textDecoration',
					'lineHeight',
					'letterSpacing',
					'textShadow',
					'textAlign',
					'textColor',
					'backgroundColor',
					'margin',
					'padding',
					'border',
					'borderRadius',
					'boxShadow',
				],
			],
			'.available-on-backorder' => [
				'stockStyles' => ['available-on-backorder'],
				'containerStyles' => ['available-on-backorder'],
				'style' => 'all'
			],
			'.out-of-stock' => [
				'stockStyles' => ['out-of-stock'],
				'containerStyles' => ['out-of-stock'],
				'style' => 'all'
			],
			'.in-stock' => [
				'stockStyles' => ['in-stock'],
				'containerStyles' => ['in-stock'],
				'style' => 'all'
			],
		],
	],
	'panels' => [
		'label-settings' => [
			'title' => __( 'Stock Status', 'woocommerce-views' ),
			'colorIndicators' => [
				'stockStyles' => [ 'in-stock', 'out-of-stock', 'available-on-backorder' ],
			],
			'fields' => [
				'stockStyles' => 'all',
				'style' => 'all'
			],
		],
		'container-settings' => [
			'title' => __( 'Container', 'woocommerce-views' ),
			'colorIndicators' => [
				'containerStyles' => [ 'in-stock', 'out-of-stock', 'available-on-backorder' ],
			],
			'fields' => [
				'containerStyles' => 'all'
			],
		],
	],
	'attributes' => [
		'style' => [
			'type' => 'object',
			'fields' => [
				'textAlign',
				'font',
				'fontSize',
				'fontStyle',
				'fontWeight',
				'textDecoration',
				'lineHeight',
				'letterSpacing',
				'textShadow',
				'margin',
				'padding',
				'border',
				'borderRadius',
				'boxShadow',
			]
		],
		'stockStyles' => [
			'type' => 'object',
			'fields' => [
				'in-stock' => [
					'type' => 'textColor',
					'label' => __( 'In Stock Color', 'woocommerce-views' ),
				],
				'out-of-stock' => [
					'type' => 'textColor',
					'label' => __( 'Out of Stock Color', 'woocommerce-views' )
				],
				'available-on-backorder' => [
					'type' => 'textColor',
					'label' => __( 'Available on Backorder Color', 'woocommerce-views' )
				],
			],
		],
		'containerStyles' => [
			'type' => 'object',
			'fields' => [
				'in-stock' => [
					'type' => 'backgroundColor',
					'label' => __( 'In Stock Color', 'woocommerce-views' ),
				],
				'out-of-stock' => [
					'type' => 'backgroundColor',
					'label' => __( 'Out of Stock Color', 'woocommerce-views' )
				],
				'available-on-backorder' => [
					'type' => 'backgroundColor',
					'label' => __( 'Available on Backorder Color', 'woocommerce-views' )
				],
			],
		]
	],
	'template' => [
		'sources' => [ WC_VIEWS_TEMPLATE_SOURCE_TOOLSET_SLUG, WC_VIEWS_TEMPLATE_SOURCE_WOOCOMMERCE_SLUG ],
		'default' => WC_VIEWS_TEMPLATE_SOURCE_TOOLSET_SLUG,
		'source' => [
			WC_VIEWS_TEMPLATE_SOURCE_TOOLSET_SLUG => [
				'attributes' => [
					'defaults' => [
						'style' => [
							'fontSize' => 24,
						],
						'stockStyles' => [
							'in-stock' => [
								'r' => 4,
								'g' => 186,
								'b' => 65,
								'a' => 1,
							],
							'available-on-backorder' => [
								'r' => 4,
								'g' => 186,
								'b' => 65,
								'a' => 1,
							],
							'out-of-stock' => [
								'r' => 247,
								'g' => 73,
								'b' => 85,
								'a' => 1,
							],
						]
					],
				],
			],
			WC_VIEWS_TEMPLATE_SOURCE_WOOCOMMERCE_SLUG => [
				'css' => [
					'rootClass' => '&stock',
				],
				'attributes' => [
					'defaults' => [
						'style' => [],
						'stockStyles' => [],
						'containerStyles' => [],
					],
				],
			],
		],
	],
];
